## org.jibx.extras
Class TestMultRoundtrip

    java.lang.Object
      org.jibx.extras.TestMultRoundtrip

    public class TestMultRoundtrip

extends java.lang.Object

Test program for the JiBX framework. Works with three or four command line arguments: mapped-class, binding-name, in-file, and out-file (optional, only needed if different from in-file). You can also supply a multiple of four input arguments, in which case each set of four is processed in turn (in this case the out-file is required). Unmarshals documents from files using the specified bindings for the mapped classes, then marshals them back out using the same bindings and compares the results. In case of a comparison error the output file is left as temp.xml .

Version:
  1.0
Author:
  Dennis M. Sosnoski

Constructor Summary
`TestMultRoundtrip()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestMultRoundtrip

    public TestMultRoundtrip()

Method Detail

### main

    public static void main(java.lang.String[] args)

Project Web Site |